(function ($) {
	$('#spica-ALF').html((function () {/*
	<div id="ALF-HeaderPanel">
		<p class="authinfo"><span id="AuthStatusView"></span></p>
		<ul class="tabMenu">
			<li name="CalculateAdvance" showtarget="CalculateAdvance">自動計算</li>
			<li name="ConditionsFormat" showtarget="ConditionsFormat">条件書式</li>
			<li name="ConditionsContext" showtarget="ConditionsContext">フィールド属性</li>
			<li name="ManageRecordDetail" showtarget="ManageRecordDetail">レコード詳細管理</li>
			<li name="ManageRecords" showtarget="ManageRecords">一覧管理</li>
			<!-- <li name="RelateApp" showtarget="RelateApp">アプリ連携</li> -->
			<li name="PdfMake" showtarget="PdfMake">PDF出力</li>
			<!-- <li name="ConnectChat" showtarget="ConnectChat">チャット連携</li> -->
		</ul>
		<p class="headerinfo"></p>
	</div>

	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		条件書式
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-ConditionsFormat" class="ALFContents" tabContent="ConditionsFormat">
		<h1 class="ALF-Subject">条件書式</h1>
		<div class="ConfigWrapper">
			<div class="ConfigNode NotDataNode">
				<div class="ConfigNodeLayout-ControlBoxTop">
					<button class="img-add bluebtn" name="addNode">対象フィールドセットを追加</button>
				</div>
			</div>
			<div class="ConfigNode">
				<table>
					<td class="ConfigNodeLayout-NodeControl">
						<p class="keepwidth"></p>
						<button name="moveNodeUp">▲</button>
						<button name="moveNodeDown">▼</button>
					</td>
					<td class="ConfigNodeLayout-NodeBodyBlock">
						<div class="ConfigNodeLayout-NodeBody">
							<div class="ConfigBlock">
								<div style="display:block;">
									<div style="display:block; overflow: hidden;">
										<div style="float:left;"><h2>対象フィールドセット</h2></div>
										<div style="float:right;">
											<button class="nodeControl" name="checkAll">すべて選択</button>
											<button class="nodeControl" name="uncheckAll">すべて解除</button>
										</div>
									</div>
									<div class="ToggleContainer" name="targetFieldBlock">
									</div>
									<div class="ToggleContainer" name="targetViewBlock">
										<label title="レコード詳細" class="checked"><input type="checkbox" name="targetView" value="record-detail" checked><span>レコード詳細</span></label>
										<label title="レコード一覧" class="checked"><input type="checkbox" name="targetView" value="record-index" checked><span>レコード一覧</span></label>
										<!--<label title="" class="checked"><input type="checkbox" name="targetUsrsView" value=""></label>-->
									</div>
								</div>
							</div>
							<table class="ConfigTable">
								<thead>
									<tr>
										<th colspan="2">条件判定と対象フィールドに設定する書式</th>
										<th class="fill">CSS</th>
										<th></th>
									</tr>
								</thead>
								<tbody class="sortable">
									<tr class="ConfigRow">
										<td class="ControlBox">
											<p class="img-sortbar"></p>
										</td>
										<td>
											<div class="SettingBlocks">
												<label class="sp"><input name="exitMatch" type="checkbox"><span>適用したら終了</span></label>
												<p class="rgb">BG #<input type="text" name="bgcolor" maxlength="6" value=""></p>
												<p class="rgb">Font #<input type="text" name="fontcolor" maxlength="6" value=""></p>
												<p>サイズ
													<select name="fontsize">
														<option value="small">小さい</option>
														<option value="smaller">やや小さい</option>
														<option value="normal" selected>変更なし</option>
														<option value="larger">やや大きい</option>
														<option value="large">大きい</option>
													</select>
												</p>
												<label><input name="isbold" type="checkbox"><span class="img-checked">太字</span></label>
												<input class="hidden" type="color" name="picker">
											</div>
										</td>
										<td>
											<textarea name="csscode"></textarea>
										</td>
										<td class="EdgeControlBox">
											<button class="img-bs" name="removeRow" title="削除"></button>
										</td>
									</tr>
								</tbody>
								<tfoot>
									<tr class="ConfigTableEdge">
										<td colspan="4">
											<button name="addRow" class="circlebtn">＋</button><span class="addrowtips">設定行を追加</span>
											<div class="removeNodeButtonWrapper">
												<label class="removeNodeLabel">
													<button class="img-trash" name="removeNode"></button>
													<span>対象フィールドセットを削除</span>
												</label>
											</div>
										</td>
									</tr>
								</tfoot>
							</table>
						</div>
						<div class="ConfigNodeLayout-ControlBoxBottom">
							<button class="img-add bluebtn" name="addNode">対象フィールドセットを追加</button>
						</div>
					</td>
				</table>
			</div>
		</div>
		<p class="FormatTipsShow ClickableBar" showtarget="condFormatTips">▼ 条件書式の使い方 ▼</p>
		<div class="FormatTipsContainer" showtoggle="condFormatTips">
			<p class="documentbox helpblock"><strong>●基本的な使い方</strong>
　書式を変更したいフィールドを選択（複数同時指定可）します。
　[＋]ボタンで設定を追加し、条件の判定内容を設定します。
　背景色、文字色、文字サイズ、太字、などの書式を設定できます。
　スタイルシートを記述して詳細なスタイルを指定することができます。
　記述例として、フォントを明朝体とし下線を付ける場合は以下のように指定します。
　　font-family: "ＭＳ 明朝";
　　text-decoration: underline;

<strong>●書式が適用される順番</strong>
　上から順番に上書き適用されます。
　「適用したら終了」がチェックされている条件書式が適用されると、その対象フィールドセットの判定はそこで終了し、次の対象フィールド設定があればそちらの処理へ移ります。

<strong>●その他</strong>
　条件判定で「今週から＊週」といったような週の判定では月曜を週の始まりとしています。</p>
		</div>
	</div>


	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		フィールド属性
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-ConditionsContext" class="ALFContents" tabContent="ConditionsContext">
		<h1 class="ALF-Subject">フィールド属性
		</h1>
		<div class="ConfigWrapper">
			<div class="ConfigNode NotDataNode">
				<div class="ConfigNodeLayout-ControlBoxTop">
					<button class="img-add bluebtn" name="addNode">対象フィールドセットを追加</button>
				</div>
			</div>
			<div class="ConfigNode">
				<table>
					<td class="ConfigNodeLayout-NodeControl">
						<p class="keepwidth"></p>
						<button name="moveNodeUp">▲</button>
						<button name="moveNodeDown">▼</button>
					</td>
					<td class="ConfigNodeLayout-NodeBodyBlock">
						<div class="ConfigNodeLayout-NodeBody">
							<div class="ConfigBlock">
								<div style="display:block;">
									<div style="display:block; overflow: hidden;">
										<div style="float:left;"><h2>対象フィールドセット</h2></div>
										<div style="float:right;">
											<button class="nodeControl" name="checkAll">すべて選択</button>
											<button class="nodeControl" name="uncheckAll">すべて解除</button>
										</div>
									</div>
									<div class="ToggleContainer" name="targetFieldBlock">
									</div>
								</div>
							</div>
							<table class="ConfigTable">
								<thead>
									<tr>
										<th colspan="3">条件判定と対象フィールドに設定する属性</th>
									</tr>
								</thead>
								<tbody class="typeDate sortable">
									<tr class="ConfigRow">
										<td class="ControlBox">
											<p class="img-sortbar"></p>
										</td>
										<td>
											<div class="SettingBlocks">
												<p>表示状態<select name="ishidden">
													<option value="normal">-</option>
													<option value="ng">非表示</option>
													<option value="ok">表示</option>
												</select></p>
												<label><input type="checkbox" name="notprint"><span class="img-checked">印刷時に非表示</span></label>
												<p>編集<select name="editable">
													<option value="normal">-</option>
													<option value="ok">可</option>
													<option value="ng">編集不可</option>
													<option value="not">変更不可</option>
												</select></p>
												<label><input type="checkbox" name="notreuse"><span class="img-checked">レコード再利用の対象外</span></label>
												<p>入力制限<select name="erred" title="制限すると入力エラーとなりレコード保存を抑止します">
													<option value="normal">-</option>
													<option value="ng">制限する</option>
													<option value="ok">制限解除</option>
												</select></p>
												<label class="sp"><input name="exitMatch" type="checkbox"><span>適用したら終了</span></label>
											</div>
										</td>
										<td class="EdgeControlBox">
											<button class="img-bs" name="removeRow" title="削除"></button>
										</td>
									</tr>
								</tbody>
								<tfoot>
									<tr class="ConfigTableEdge">
										<td colspan="3">
											<button name="addRow" class="circlebtn">＋</button><span class="addrowtips">設定行を追加</span>
											<div class="removeNodeButtonWrapper">
												<label class="removeNodeLabel">
													<button class="img-trash" name="removeNode"></button>
													<span>対象フィールドセットを削除</span>
												</label>
											</div>
										</td>
									</tr>
								</tfoot>
							</table>
						</div>
						<div class="ConfigNodeLayout-ControlBoxBottom">
							<button class="img-add bluebtn" name="addNode">対象フィールドセットを追加</button>
						</div>
					</td>
				</table>

			</div>
		</div>
		<p class="ContextTipsShow ClickableBar" showtarget="condContextTips">▼ フィールド属性の使い方 ▼</p>
		<div class="ContextTipsContainer" showtoggle="condContextTips">
			<p class="documentbox helpblock"><strong>●基本的な使い方</strong>
　フィールド属性を設定したいフィールドを選択（複数同時指定可）します。
　[＋]ボタンで設定を追加し、条件の判定内容を設定します。
　設定したいフィールドの属性を指定します。

<strong>●設定できるフィールド属性</strong>
・非表示
　フィールドを非表示とします。
　※一覧ビューではセルは非表示とならず値だけが非表示となります
　※レコード新規作成ビューでは適用されません
　※サブテーブル内のフィールドはこの機能の動作対象外です

・印刷時に非表示
　印刷を行うときに非表示となります。
　※kintone機能での印刷を行うときに動作します
　※サブテーブル内のフィールドはこの機能の動作対象外です

・編集
　フィールド編集の可、不可、を指定します。編集不可には２つのタイプがあります。
　　編集不可：レコード編集画面で値が入力できなくなりますが、プログラムや他のプラグインなどでの値の変更は許可されます。
　　変更不可：レコード編集画面で値の入力とプログラムや他のプラグインなどでの値の変更も不可となります。
　アクセス権設定が優先されます。
　サブテーブルを編集不可に指定すると行の追加および削除ができなくなります。
　※編集する権限をもっていないフィールドを編集できるようにはなりません
　※ルックアップフィールドでコピー先に指定したフィールドを編集したい場合などに使用します

・レコード再利用の対象外
　レコードを再利用する際にコピーされなくなります。
　※初期値ではなく空欄となります
　※サブテーブル内のフィールドはこの機能の動作対象外です

・入力制限
　条件にマッチした場合に対象フィールドにエラーを表示します。

<strong>●フィールド属性が適用される順番</strong>
　上から順番に上書き適用されます。
　「適用したら終了」がチェックされているフィールド属性が適用されると、その対象フィールドセットの判定はそこで終了し、次の対象フィールド設定があればそちらの処理へ移ります。</p>
		</div>
	</div>



	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		自動計算
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->

	<div id="ALF-CalculateAdvance" class="ALFContents" tabContent="CalculateAdvance">
		<h1 class="ALF-Subject">自動計算</h1>
		<div class="ConfigWrapper">
			<div class="ConfigNode NotDataNode">
				<div class="ConfigNodeLayout-ControlBoxTop">
					<button name="addNode" class="circlebtn">＋</button><span class="addrowtips">設定行を追加</span>
				</div>
			</div>
			<div class="ConfigNode DataNode">
				<table class="ConfigTable">
					<tbody>
						<tr class="ConfigRow">
							<td class="ConfigNodeLayout-NodeControl">
								<p class="keepwidth"></p>
								<button name="moveNodeUp">▲</button><br>
								<button name="moveNodeDown">▼</button>
							</td>
							<td class="ConfigNodeLayout-NodeBodyBlock">
								<div class="ConfigNodeLayout-NodeBody">

									<div class="SettingBlocks">
										<table class="OperateWrapper">
											<thead><tr>
												<th></th>
												<th>代入先</th>
												<th>演算</th>
												<th class="fill">演算項</th>
												<th colspan="2"></th>
											</tr></thead>
											<tbody class="sortable">
												<tr class="OperateRow">
													<td class="OperateRowHeader"><p class="img-sortbar"></td>
													<td class="AssignContainer">
														<select name="assignField" class="assignselector">
															<optgroup name="app" label="フィールド">
															</optgroup>
															<optgroup name="variable" label="一時変数">
																<option value="@var#A" format="var" label="#A">#A</option>
																<option value="@var#B" format="var" label="#B">#B</option>
																<option value="@var#C" format="var" label="#C">#C</option>
																<option value="@var#D" format="var" label="#D">#D</option>
																<option value="@var#E" format="var" label="#E">#E</option>
																<option value="@var#F" format="var" label="#F">#F</option>
															</optgroup>
														</select>
													</td>
													<td class="OperateContainer">
														<select name="operate">
															<option value="merge" class="" title="数値も文字列として結合します">文字列結合</option>
															<option value="erase" class="mono" title="消去">消去</option>
															<option value="plus" class="calc" title="加算">＋</option>
															<option value="minus" class="calc" title="減算">－</option>
															<option value="times" class="calc" title="乗算">×</option>
															<option value="divide" class="calc" title="除算">÷</option>
															<option value="remainder" class="calc" title="剰余（※除算の余り）">％（剰余）</option>
															<option value="power" class="calc" title="累乗">**（累乗）</option>
															<option value="abs" class="calc mono" title="絶対値">絶対値</option>
															<option value="floor" class="calc defx" title="指定の位より小さい位の小数切り捨て">切り捨て</option>
															<option value="ceil" class="calc defx" title="指定の位より小さい位の小数切り上げ">切り上げ</option>
															<option value="round" class="calc defx" title="指定の位より小さい位の小数四捨五入">四捨五入</option>
															<option value="or" class="calc" title="OR（論理和）">｜（OR）</option>
															<option value="and" class="calc" title="AND（論理積）">＆（AND）</option>
															<option value="xor" class="calc" title="XOR（排他的論理和）">＾（XOR）</option>
															<option value="invert" class="calc mono" title="NOT（ビット反転）">~（NOT）</option>
															<option value="shiftl" class="calc" title="左シフト">≪（左シフト）</option>
															<option value="shiftr" class="calc" title="右シフト">≫（右シフト）</option>
															<option value="fillzero" class="defx" title="数値を指定桁数まで0を埋めた文字列に変換">0埋め</option>
															<option value="weekday" class="mono" title="日付・日時から曜日を取得">曜日取得</option>
															<option value="replace" class="mono" title="フィールドから値を参照して置換">フィールド参照</option>
														</select>
													</td>
													<td class="OperandContainer selectionMode fill">
														<p class="OperandTextContainer fill">
															<textarea name="operandtext" class="fill" placeholder="（直接入力）"></textarea>
														</p>
														<p class="OperandSelectContainer fill">
															<select name="operand" value="" class="operandValue fill">
																<option value="@empty" format="str" label="*空欄">*空欄</option>
																<optgroup name="operandBField" label="フィールド">
																</optgroup>
																<optgroup name="operandBUser" label="アクセス情報">
																	<option value="@_LOGIN_USER_#name" format="str" label="LoginUser [名前]">LoginUser [名前]</option>
																	<option value="@_LOGIN_USER_#code" format="str" label="LoginUser [login名]">LoginUser [login名]</option>
																	<option value="@_NOW_DATE_" format="date" label="現在日時">現在日時</option>
																	<option value="@_NOW_DATE_#year" format="int" label="　現在日時 [年]">現在日時 [年]</option>
																	<option value="@_NOW_DATE_#month" format="int" label="　現在日時 [月]">現在日時 [月]</option>
																	<option value="@_NOW_DATE_#day" format="int" label="　現在日時 [日]">現在日時 [日]</option>
																	<option value="@_NOW_DATE_#hour" format="int" label="　現在日時 [時]">現在日時 [時]</option>
																	<option value="@_NOW_DATE_#minute" format="int" label="　現在日時 [分]">現在日時 [分]</option>
																</optgroup>
																<optgroup name="operandSysField" label="システムフィールド">
																</optgroup>
																<optgroup name="variable" label="一時変数">
																	<option value="@var#A" format="var" label="#A">#A</option>
																	<option value="@var#B" format="var" label="#B">#B</option>
																	<option value="@var#C" format="var" label="#C">#C</option>
																	<option value="@var#D" format="var" label="#D">#D</option>
																	<option value="@var#E" format="var" label="#E">#E</option>
																	<option value="@var#F" format="var" label="#F">#F</option>
																</optgroup>
																<optgroup name="special" label="特殊項目">
																	<option value="@indexm" format="int" label="月次インデックス" title="月あたりのレコード作成数">月次インデックス</option>
																	<option value="@indexy" format="int" label="年次インデックス" title="年あたりのレコード作成数">年次インデックス</option>
																</optgroup>
															</select>
														</p>
														<div class="OperandOptionContainer weekday fill hide ">
															<p><span class="OperandOptionHead">曜日フォーマット</span></p>
															<p class="fill">
																<select name="weekdayformat" class="fill">
																	<option value="ka">漢字</option>
																	<option value="al">英語</option>
																	<option value="al3">英語省略表記</option>
																</select>
															</p>
														</div>
													</td>
													<td class="OperandOption">
														<p class="OperandTextToggle">
															<label class="toggle" name="chackOperandInput"><input type="checkbox" value="input" title="直接入力"><span>入力切替</span></label>
														</p>
													</td>
													<td class="OperateRowControl">
														<label class="addOperandRow" title="演算項の追加">+</label>
														<label class="removeOperandRow" title="演算項の削除">×</label>
													</td>
												</tr>
											</tbody>
										</table>
									</div><!-- SettingBlocks end -->
									<div class="ConsoleBlock"></div>
								</div>
								<div class="ConfigNodeLayout-ControlBoxBottom">
									<button name="addNode" class="circlebtn">＋</button><span class="addrowtips">設定行を追加</span>
								</div>
							</td>
							<td class="ConfigNodeLayout-NodeControlEdge">
								<button name="removeNode" class="img-trash" title="削除"></button>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>

		<p class="CalculateTipsShow ClickableBar" showtarget="calcTips">▼ 自動計算の使い方 ▼</p>
		<div class="CalculateTipsContainer" showtoggle="calcTips">
			<div class="documentbox helpblock"><strong>●自動計算の発生トリガーについて</strong>
通常は「レコード詳細画面で作成・編集を開始したとき」「レコードを保存したとき」「演算項に使用されているフィールドが変更されたとき」に自動計算が行われます。設定されたすべての計算が上から順に実行されますが、フィールドの値の変更による自動計算処理では、トリガーとなったフィールドへの代入は行われません。

「月次インデックス」「年次インデックス」を使用する自動計算が設定されている場合、レコード保存時のみ自動計算が行われます。

<strong>●新規作成時に存在しないフィールド値の利用について</strong>
「レコード番号」「作成者」「作成日時」「更新者」「更新日時」は新規レコード作成時の自動計算では、条件判定および演算項に使用できません。

「作成者」「更新者」については「LoginUser」を、「作成日時」「更新日時」については「現在日時」を使用してください。

「レコード番号」については既存のレコードのみの利用となります。

<strong>●計算される型について</strong>
演算途中に文字列結合などをおこなっても、その文字列（または文字列の先頭）が数値として解釈できるか場合は、文字列に対して数値演算を行うことができます。
（※”数値として解釈できる”とはjavascriptのparseIntで解析できるものです。小数点を含む場合はparseFloatが行われます）
数値として解釈できない文字列に対して数値演算を行うとエラーとなります。

例１）
　文字列「12」と文字列「2」を乗算した結果は数値の24となります。

例２）
　文字列「2017year」を数値として計算する場合、2017と解釈されます。

例３）
　文字列「0xFF」は16進数として解析されるので数値の256となります。

また最終的に代入される値の型は計算内容によらず、代入先のフィールド型に合わせられます。
・文字列のフィールドへ数値を代入すると10進法の文字列として代入されます
・数値のフィールドへ文字列を代入すると、数値として解釈できる場合は数値として代入され、そうでない場合はエラーとなります。

<strong>●日時の扱いついて</strong>
日時フィールドへの代入は、YYYY-MM-DD hh:mm といった形の文字列を代入します。この形以外はエラーになります。
また日時フィールドを演算に利用した場合、同様の形の文字列として扱います。

<strong>●0埋め桁について</strong>
演算項は0埋めを行う桁数です。指定された桁数ぶんの0を頭に追加した文字列を作成します。

例）
　演算項の数値が123で、0埋め桁が6の場合
　000123
　という文字列となります。
　またこの文字列は数値として解釈できるので、この文字列に対して数値演算を行うことは可能です。

<strong>●一時変数について</strong>
条件判定値、代入先、演算項として #A～#F の変数が選択できます。
自動計算が発生した際に全ての一時変数は空欄に初期化されます。（※空欄を数値として利用した場合は 0 となります）

複数の条件を組み合わせて条件の判定や、複雑な演算を行う際のバッファとして利用します。保存できる値に制限はありません。
また保存された一時変数は『自動計算』だけではなく、<b>『条件書式』『フィールド属性』</b>にて条件判定の設定に利用することができます。

<strong>●フィールドコードの参照による置換</strong>
文字列フィールドに大括弧で括られたフィールドコードがあった場合、自動的にフィールドの値を参照して置換を行います。
自動計算の発生トリガーに含まれます。

入力例）
　私の名前は [WATASHI_NO_NAMAE] です。

という文字列があった場合、WATASHI_NO_NAMAEというフィールドコードの値と置換されます。
WATSHI_NO_NAMEの値が「すぴか太郎」だった場合の置換結果は、

　私の名前は すぴか太郎 です。

となります。
注意点として、この置換処理は置換した結果がさらにフィールドコードの置換条件を満たし、さらに置換処理が発生します。設定によっては無限ループとなる場合があります。
無限ループとなった場合の置換処理は1000回に達した時に停止しエラーが出力されます。

<strong>●テーブルのフィールドを使用した演算</strong>
テーブルのフィールド（※以降サブフィールドと表記します）を使用して、条件の判定、サブフィールドへの代入、サブフィールドの値を利用した計算、を行うことができます。

・異なるテーブルのサブフィールドが、設定に混在する計算はエラーになります
　エラー例）
　　<b>テーブルＡ</b> に配置された 数値フィールド と <b>テーブルＢ</b> に配置された 数値フィールド
　　を加算する計算
・条件判定は 1行目 から順番に全ての行に対して行われます
・計算内容にテーブルに配置されていない通常のフィールドも利用することができます

<table class="descriptionCalculateTableRow">
	<thead><tr>
		<th>条件</th>
		<th>代入先</th>
		<th>演算項</th>
		<th>演算内容</th>
	</tr></thead>
	<tbody>
		<tr>
			<td class="descriptionCalculate-IncRow">● 含む</td><td class="descriptionCalculate-IncRow">● 含む</td><td class="descriptionCalculate-IncRow">● 含む</td>
			<td>条件マッチした行のサブフィールドを代入先および演算項とします。</td>
		</tr>
		<tr>
			<td class="descriptionCalculate-IncRow">● 含む</td><td class="descriptionCalculate-IncRow">● 含む</td><td>－ 含まない</td>
			<td>条件マッチした行のサブフィールドを代入先とします。</td>
		</tr>
		<tr>
			<td class="descriptionCalculate-IncRow">● 含む</td><td>－ 含まない</td><td class="descriptionCalculate-IncRow">● 含む</td>
			<td>条件マッチした行のサブフィールドを演算項とします。

<span class="pick">代入先をテーブル外の通常のフィールドに設定した場合、マッチした行の回数だけ同じフィールドに対して代入が行われます。
一時変数を代入先とするなどで、特定の条件を満たす行の数値の合計を求める（<b>SUMIF</b>）といった使い方が可能です。</span></td>
		</tr>
		<tr>
			<td class="descriptionCalculate-IncRow">● 含む</td><td>－ 含まない</td><td>－ 含まない</td>
			<td>全ての行を順番に条件判定を行います。

<span class="pick">代入先をテーブル外の通常のフィールドに設定した場合、マッチした行の回数だけ同じフィールドに対して代入が行われます。
一時変数を代入先とし、マッチした場合に1加算する、などで、特定の条件を満たす行の総数を求める（<b>COUNTIF</b>）といった使い方が可能です。</span></tr>
		<tr>
			<td>－ 含まない</td><td class="descriptionCalculate-IncRow">● 含む</td><td class="descriptionCalculate-IncRow">● 含む</td>
			<td>条件にマッチした場合、全ての行に対してサブフィールドへの代入、サブフィールドを利用した計算を行います。<span class="pick">※1</span></td>
		</tr>
		<tr>
			<td>－ 含まない</td><td class="descriptionCalculate-IncRow">● 含む</td><td>－ 含まない</td>
			<td>条件にマッチした場合、全ての行に対してサブフィールドへの代入を行います。<span class="pick">※1</span></td>
		</tr>
		<tr>
			<td>－ 含まない</td><td>－ 含まない</td><td class="descriptionCalculate-IncRow">● 含む</td>
			<td>条件にマッチした場合、全ての行のサブフィールドを利用した計算を順番に行います。<span class="pick">※1</span></td>
		</tr>
	</tbody>
</table><span class="pick">※1</span> 条件がマッチしていない場合は「全ての行の条件判定がマッチしていない状態」と同等の判定となり、計算は行われません。

</div>
		</div>

	</div>

	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		レコード詳細管理
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-ManageRecordDetail" class="ALFContents" tabContent="ManageRecordDetail">
		<div id="ALF-SelectLimitation">
			<h1 class="ALF-Subject">選択数制御</h1>
			<div class="ConfigWrapper">
				<div class="ConfigNode">
					<table class="ConfigTable">
						<thead>
							<tr>
								<th>フィールド (コード)</th>
								<th>型</th>
								<th>制限設定</th>
							</tr>
						</thead>
						<tbody>
							<tr class="ConfigRow">
								<td name="fieldId">
									<span name="fieldName"></span> (<span name="fieldCode" class="pick"></span>)
								</td>
								<td name="fieldType"></td>
								<td name="ConfigLimitation" class="fill">
									選択数<input type="number" name="MinLimit" min="0">以上<input type="number" name="MaxLimit" min="0">以下
									<span class="kintoneplugin-input-radio-item spicaKintoneRadioBtnWrapper">
										<input type="radio" dat="SelectionControl" value="manual" title="選択数が設定範囲以外の場合はエラーを表示する" checked><label>エラー表示</label>
										<input type="radio" dat="SelectionControl" value="auto" title="選択制限数をこえて選択すると古いものから自動的に削除する"><label>自動削除</label>
									</span>
								</td>
							</tr>
						</tbody>
						<tfoot></tfoot>
					</table>
				</div>
			</div>
			<p class="SelLimitTipsShow ClickableBar" showtarget="SelLimitTips">▼ 選択数制御の使い方 ▼</p>
			<div class="SelLimitTipsContainer" showtoggle="SelLimitTips">
				<p class="documentbox helpblock"><strong>●基本的な使い方</strong>
　複数項目を選択できるフィールドの選択数を制御します。
　対象となるフィールドは「複数選択」「チェックボックス」「ユーザー選択」「組織選択」「グループ選択」です。
　アプリに対象となるフィールドがない場合は何も表示されません。

　使用例
　　ユーザー選択フィールドの選択数を1件に限定したい場合 1 以上 1 以下 と入力します。

<strong>●制御方法</strong>
　設定した選択数にマッチしない場合の制御方法は以下の２通りです。
　・エラーを表示する（エラーが表示されていると保存できません）
　・上限を超えて項目が選択されたら、古いものから順に自動的に削除する</p>
			</div>
		</div> <!-- ALF-SelectLimitation -->


		<div id="ALF-ZipCode">
			<h1 class="ALF-Subject">住所検索</h1>
			<div class="ConfigWrapper">
				<div class="ConfigNode">

					<table class="ConfigTable">
						<thead>
							<tr>
								<th></th>
								<th>郵便番号</th>
								<th>ボタン設置エリア</th>
								<th>言語</th>
								<th class="fill">住所取得</th>
							</tr>
						</thead>
						<tbody>
							<tr class="ConfigRow">
								<td></td>
								<td>
									<div>
										<select name="zipcode"><option value="@none">-フィールドを選択-</option></select>
									</div>
								</td>
								<td>
									<div>
										<select name="layout">
											<option value="@menuspace">メニューエリア</option>
										</select>
									</div>
								</td>
								<td>
									<div>
										<span class="kintoneplugin-input-radio-item spicaKintoneRadioBtnWrapper">
											<p><input id="address-language-ja" type="radio" name="address-language" value="ja" checked><label for="address-language-ja">日本語</label></p>
											<p><input id="address-language-en" type="radio" name="address-language" value="en"><label for="address-language-en">英語</label></p>
										</span>
									</div>
								</td>
								<td>
									<div>
										<p class="pick">住所（連結） <select name="address-merge"><option value="@none">-フィールドを選択-</option></select></p>
										<div class="indent">
											<p>区切り文字</p>
											<div class="indent">
												<span class="kintoneplugin-input-radio-item spicaKintoneRadioBtnWrapper">
													<p><input id="address-delimiter-space" type="radio" name="address-delimiter" value="space" checked><label for="address-delimiter-space">半角スペース</label></p>
													<p><input id="address-delimiter-comma" type="radio" name="address-delimiter" value="comma"><label for="address-delimiter-comma">カンマ＋半角スペース</label></p>
													<p><input id="address-delimiter-dbyte" type="radio" name="address-delimiter" value="dbyte"><label for="address-delimiter-dbyte">全角スペース</label></p>
													<p><input id="address-delimiter-none" type="radio" name="address-delimiter" value="none"><label for="address-delimiter-none">なし</label></p>
												</span>
											</div>
										</div>
										<p class="pick">都道府県 <select name="address-1"><option value="@none">-フィールドを選択-</option></select></p>
										<p class="pick">市区町村 <select name="address-2"><option value="@none">-フィールドを選択-</option></select></p>
										<p class="pick">町域 <select name="address-3"><option value="@none">-フィールドを選択-</option></select></p>
									</div>
								</td>
							</tr>
						</tbody>
					</table>

				</div>
			</div>
			<p class="FormatTipsShow ClickableBar" showtarget="zipcodeTips">▼ 住所検索の使い方 ▼</p>
			<div class="FormatTipsContainer" showtoggle="zipcodeTips">
				<div class="documentbox helpblock"><strong>●概要</strong>
日本の郵便番号から住所を検索するボタンを、レコード詳細ページに設置します。
モバイルアプリでも使用できます。

<strong>●使い方</strong>
<ol>
	<li>郵便番号が入力されるフィールドの選択</li>
		<p>選択できるフィールドタイプは「文字列 (1行)」です。</p>
	<li>ボタン設置エリアを選択</li>
		<p>初期状態では「メニューエリア」が選択されています。これはページ内の上部にある空白スペースです。
また「スペース」フィールドが配置されている場合はこれも選択できます。
郵便番号を入力するフィールドの横にスペースを配置してボタンを表示場所に指定する、等の使い方を想定しています。
また、モバイルアプリでは、スペースへのボタン設置を指定した場合でもメニューエリアへの表示となります。</p>
	<li>言語を選択</li>
		<p>日本語または英語を指定。</p>
	<li>取得した住所を入力するフィールドを選択</li>
		<p>選択できるフィールドタイプは「文字列 (1行)」です。</p>
		<div style="margin:0.5rem;">
			<span style="display:table-cell; white-space:nowrap; font-weight:bold;">住所（連結）　</span>
			<span class="documentbox" style="display:table-cell">住所をすべて結合した文字列を入力します。
選択できるフィールドタイプは「文字列 (1行)」です。
結合を行う際の<strong>区切り文字</strong>が選択できます。
言語に英語を選択していた場合は英語表記の順番で結合した文字列を入力します。</span>
		</div>
		<div style="margin:0.5rem;">
			<span style="display:table-cell; white-space:nowrap; font-weight:bold;">都道府県　</span>
			<span class="documentbox" style="display:table-cell">都道府県を入力します。
選択できるフィールドタイプは「文字列 (1行)」「ドロップダウン」「ラジオボタン」です。</span>
		</div>
		<div style="margin:0.5rem;">
			<span style="display:table-cell; white-space:nowrap; font-weight:bold;">市区町村　</span>
			<span class="documentbox" style="display:table-cell">市区町村を入力します。
選択できるフィールドタイプは「文字列 (1行)」です。</span>
		</div>
		<div style="margin:0.5rem;">
			<span style="display:table-cell; white-space:nowrap; font-weight:bold;">町域　</span>
			<span class="documentbox" style="display:table-cell">町域を入力します。
選択できるフィールドタイプは「文字列 (1行)」です。</span>
		</div>
</ol>
外部APIを使用して住所検索を行っています。
可用性維持のため複数の外部APIを使用していますが、バージョン更新やAPIサービスの停止などにより住所取得が行えない、また英語表記での住所取得が行えないなどの状況が発生する可能性があります。

<strong>APIライセンス表記</strong>
Copyright (c) 2016 Madefor Team
Released under the MIT license
<a href="https://github.com/madefor/postal-code-api/blob/master/LICENSE.txt" target="gitlicense">https://github.com/madefor/postal-code-api/blob/master/LICENSE.txt</a>

				</div>
			</div>
		</div><!-- ALF-ZipCode -->

		<div id="ALF-LookupFn">
			<h1 class="ALF-Subject">ルックアップ拡張</h1>
			<div class="ConfigWrapper">
				<div class="ConfigNode">
					<table class="ConfigTable">
						<tbody>
							<tr class="ConfigRow">
								<td name="fieldId">
									<span name="fieldName"></span> (<span name="fieldCode" class="pick"></span>)
								</td>
								<td name="ConfigLookupFn" class="fill">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="LookupFnRecordCreate"><label class="LookupFnRecordCreateLabel">連携アプリのレコード登録／編集ボタンを設置</label></span></p>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<p class="FormatTipsShow ClickableBar" showtarget="LookupFnTips">▼ ルックアップ拡張の使い方 ▼</p>
			<div class="FormatTipsContainer" showtoggle="LookupFnTips">
				<div class="documentbox helpblock"><strong>●連携アプリのレコード登録／編集ボタン</strong>
ルックアップフィールドが参照元としているアプリへのレコード追加登録またはレコードの編集を行うボタンと、参照元のアプリを開くボタンを、ルックアップフィールドの下部に設置します。

「レコード登録／編集」をクリックするとダイアログボックスが開いてレコードの内容が入力できます。
※添付ファイル、カテゴリー、ルックアップ、の入力はできません。

・ルックアップフィールドに入力値が無い場合
　レコードが新規登録されます。

・ルックアップフィールドに入力値が取得されている場合
　該当するレコードの編集を行います。
　該当するレコードが見つからない場合、ダイアログボックスは開きません。
</div>
			</div><!-- ALF-InsertTab -->
		</div><!-- ALF-KeyManage -->

		<div id="ALF-KeyManage">
			<h1 class="ALF-Subject">キー入力制御</h1>
			<div class="ConfigWrapper">
				<div class="ConfigNode">
					<table class="ConfigTable">
						<tbody>
							<tr class="ConfigRow">
								<td>
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="InsertTab" value="on" id="KeyManage-InsertTab"><label for="KeyManage-InsertTab">テキストエリアでタブ文字を入力する</label></span></p>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</div>
			<p class="FormatTipsShow ClickableBar" showtarget="manageKeyInput">▼ キー入力制御 ▼</p>
			<div class="FormatTipsContainer" showtoggle="manageKeyInput">
				<div class="documentbox helpblock"><strong>●テキストエリアのタブ入力</strong>
ページ内のtextareaで入力を行っている際のTagキーの動作を「次の要素へ移動」ではなく「タブ文字」の挿入に変更します。
kintoneのフィールド型でtextareaに該当するのは「文字列（複数行）」です。
「リッチエディター」はタブ文字入力の対象外です。
</div>
			</div><!-- ALF-InsertTab -->
		</div><!-- ALF-KeyManage -->
	</div><!-- ALF-ManageRecordDetail -->


	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		一覧管理
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-ManageRecords" class="ALFContents" tabContent="ManageRecords">
		<h1 class="ALF-Subject">レコード一括更新</h1>
		<h2 class="ALF-Chapter">開始ボタンの設置</h2>
		<div id="ALF-BulkUpdate" class="ConfigWrapper">
			<div class="ConfigNode">
				<table class="ConfigTable">
					<tbody>
						<tr class="ConfigRow">
							<td>
								<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="AllowAllUser" value="All" id="ManageRecord-BulkUpdate-CheckAllowAllUser"><label for="ManageRecord-BulkUpdate-CheckAllowAllUser">すべてのユーザーに設置する</label></span></p>
							</td>
						</tr>
						<tr class="ConfigRow">
							<td>
								<p>アカウントを指定して設置する　※改行で複数アカウントを指定</p>
								<p><textarea name="AllowUsers" class="fill"></textarea></p>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		<p class="FormatTipsShow ClickableBar" showtarget="bulkUpdateTips">▼ 一括更新の使い方 ▼</p>
		<div class="FormatTipsContainer" showtoggle="bulkUpdateTips">
			<div id="bulkUpdateDescription" class="documentbox helpblock"><strong>●一覧ページに一括更新を開始するボタンが設置されます</strong>
初期設定ではボタンは設置されません。
「すべてのユーザーに設置する」をチェックすることで、ボタンが設置されます。

ボタンを設置したいユーザーを指定したい場合は、「アカウントを指定して設置する」の入力ボックス内に、ユーザーアカウントを記述してください。
複数のユーザーを指定したい場合は、改行して列挙して下さい。

<strong>●一括更新の手順</strong>
一括更新ボタンをクリックするとダイアログボックスが開き、ウィザード形式で更新内容を設定していきます。

<strong>・更新方法の選択</strong>
　「直接入力」値を指定して一括更新します。
　「自動計算」レコードに対して自動計算の再計算を行うことで一括更新します。

<strong>直接入力による一括更新の設定</strong>
1. 更新内容の設定
　更新したいフィールドを選択し、値を入力または選択します。
　複数のフィールドを同時に更新することが可能です。

2. 更新内容の確認
　更新対象のフィールドと入力値が列挙されます。
　入力できない値が設定されていた場合は警告が表示されます。

<strong>自動計算による一括更新の設定</strong>
1. 自動計算オプションの設定
　・「新規レコード編集に限定」と指定されている計算を行うかどうか選択します。
　・月次インデックス、年次インデックスを算出する基準をなる日時を選択します。

2. 更新内容の確認
　設定した自動計算オプションの内容が表示されます。

<strong>・更新の実行</strong>
　設定された内容で更新を実行します。
　レコード100件につき、2回のAPIコールを行います。

　途中でエラーが発生しても更新処理は中断しません。
　100件ずつ更新を行うので、エラーが発生したレコードと同時に処理を行ったレコードは全て更新されません。
　全ての更新処理が完了したのちにエラーの内容が表示されます。
			</div>
		</div>

		<h1 class="ALF-Subject">初期一覧</h1>
		<h2 class="ALF-Chapter">条件判定と一覧の選択</h2>
		<div id="ALF-InitlialListView" class="ConfigWrapper">
			<div class="ConfigNode">
				<table class="ConfigTable">
					<tbody class="typeDate sortable">
						<tr class="ConfigRow">
							<td class="ControlBox">
								<p class="img-sortbar"></p>
							</td>
							<td>
								<div class="SettingBlocks">
									<p>一覧
										<select name="ListViewId">
											<option value=""> - </option>
										</select>
									</p>
								</div>
							</td>
							<td class="EdgeControlBox">
								<button class="img-bs" name="removeRow" title="削除"></button>
							</td>
						</tr>
					</tbody>
					<tfoot>
						<tr class="ConfigTableEdge">
							<td colspan="3">
								<button name="addRow" class="circlebtn">＋</button>
								<span class="addrowtips">設定を追加</span>
							</td>
						</tr>
					</tfoot>
				</table>

			</div>
		</div>
		<p class="FormatTipsShow ClickableBar" showtarget="InitlialListViewTips">▼ 初期一覧設定の使い方 ▼</p>
		<div class="FormatTipsContainer" showtoggle="InitlialListViewTips">
			<div id="InitlialListViewDescription" class="documentbox helpblock">●概要
初期表示される一覧を条件ごとに設定します。
設定できる条件は、ログインユーザー、アクセス日時で判定を行うことができます。

●一覧表示変更の基本条件
アクセスしているURLに何らかのクエリパラメータがある場合は、表示は変更されません。
クエリパラメータとはURL内の?からはじまる情報です。

複数の判定条件を設定した場合、リストの上から順番に判定され、最初に条件にマッチした一覧が表示されます。

●ログインユーザー別に初期表示される一覧を変更する
条件判定に「LoginUser」を選択し、アカウントにマッチするデータを設定してください。
ユーザー情報の「名前」「ログイン名」がマッチするか判定されます。

●ログインユーザーの所属するグループで初期表示される一覧を変更する
条件判定に「所属グループ」を選択し、グループにマッチするデータを設定してください。
グループ情報の「名前」「グループコード」がマッチするか判定されます。

●ログインユーザーの所属する組織で初期表示される一覧を変更する
条件判定に「所属組織」を選択し、組織にマッチするデータを設定してください。
組織情報の「名前」「組織コード」がマッチするか判定されます。
所属する組織の親階層すべてでマッチするか判定されます。

●アクセス日時別に初期表示される一覧を変更する
条件判定に 現在日時 を選択し、日時にマッチするデータを設定してください。</div>
		</div>

		<h1 class="ALF-Subject">キーワード検索</h1>
		<div id="ALF-KeywordSearch" class="ConfigWrapper">
			<div class="ConfigNode">

				<div class="ConfigRowBlock KeywordSearchUsing AdRadioStyle-01" style="margin:0.5rem;">
					<div class="AdStyleDataBlock kintoneplugin-input-radio">
						<div class="AdStyleDataItem">
							<span class="kintoneplugin-input-radio-item">
								<input type="radio" name="KeywordSearchUseType" value="not" id="KeywordSearchUseType-Not" checked>
								<label for="KeywordSearchUseType-Not">検索を利用しない</label>
							</span>
						</div>
						<div class="AdStyleDataItem">
							<span class="kintoneplugin-input-radio-item">
								<input type="radio" name="KeywordSearchUseType" value="normal" id="KeywordSearchUseType-Normal">
								<label for="KeywordSearchUseType-Normal">値検索を利用する</label>
							</span>
						</div>
						<div class="AdStyleDataItem">
							<span class="kintoneplugin-input-radio-item">
								<input type="radio" name="KeywordSearchUseType" value="advance" id="KeywordSearchUseType-Advance">
								<label for="KeywordSearchUseType-Advance">拡張検索を利用する</label>
							</span>
						</div>
					</div>
				</div>

				<div class="ConfigBlock KeywordSearchTargetBlock">
					<div style="display:block; margin-left:0px; position:relative;">
						<div style="display:block; overflow: hidden;">
							<div style="float:left;"><h2>検索対象フィールド</h2></div>
							<div style="float:right;">
								<button class="nodeControl" name="checkAll">すべて選択</button>
								<button class="nodeControl" name="uncheckAll">すべて解除</button>
							</div>
						</div>
						<div class="ToggleContainer KeywordSearchTarget" name="targetFieldBlock">
						</div>
					</div>
				</div>

				<div class="ConfigBlock KeywordSearchTargetUnreadableBlock ErrorBlock">
					<div style="display:block; margin-left:0px; position:relative;">
						<div style="display:block; overflow: hidden;">
							<div style="float:left;"><h2>削除されているかアクセス権が無いため読み取れないフィールド</h2>
							<span style="color: white">このまま設定を維持できますが検索用データ保存時のアクセス権チェックで警告の対象になります。不要であればすべて解除して保存してください。</span></div>
							<div style="float:right;">
								<button class="nodeControl" name="checkAll">すべて選択</button>
								<button class="nodeControl" name="uncheckAll">すべて解除</button>
							</div>
						</div>
						<div class="ToggleContainer KeywordSearchTargetUnreadable" name="targetFieldBlock">
						</div>
					</div>
				</div>

				<h2 class="ALF-Chapter KeywordSearchAdvance">検索用データ保存先（複数行文字列）</h2>
				<div class="ConfigRowBlock KeywordSearchAdvance">
					<div class="kintoneplugin-select-outer"><div class="kintoneplugin-select">
						<select name="SearchDataField">
							<option label="（フィールドを選択してください）" value=""></option>
						<select>
					</div></div>
					<div>
						<button name="SearchDataBuild" showDialog="SearchDataBuild" class="kintoneplugin-button-dialog-ok" style="min-width:2rem; white-space:nowrap;">検索用データを更新する</button>
					</div>

					<div title="検索用データの更新" isDialog="SearchDataBuild" modal="1">
						<div id="SearchDataBuildDialog" class="SearchDataBuild-Disable">
							<div class="SearchDataBuildConsole-Enable">
								<p>全てのレコードの [<span class="SearchData-FieldName"></span>] フィールドを、検索用システムデータで上書き更新します。</p>
								<p>このフィールドに現在入力されているデータは失われます。ご注意ください。</p>
								<button name="SearchDataBuildBegin" class="kintoneplugin-button-dialog-ok" style="width:80%; min-width:400px; margin:0.5rem auto; white-space:nowrap;">更新を実行</button>
								<div class="SearchDataBuildConsole-ProgressBox">
									<p class="SearchDataBuildConsole-ProgressValue"></p>
									<div class="SearchDataBuildConsole-ProgressGaugeWrapper"><div class="SearchDataBuildConsole-ProgressGauge"></div></div>
									<p class="SearchDataBuildConsole-ProgressResult"></p>
								</div>
							</div>

							<div class="SearchDataBuildConsole-Disable">
								<p class="SearchDataBuildConsole-SearchDataField-Error">検索用データ保存先フィールドが選択されていません</p>
								<p class="SearchDataBuildConsole-SearchTargetField-Error">検索対象フィールドが選択されていません</p>
							</div>
						</div>
					</div>
				</div>

				<h2 class="ALF-Chapter KeywordSearchAdvance AccessCheck">検索用データ保存時のアクセス権チェック</h2>
				<div class="ConfigRowBlock KeywordSearchAdvance AccessCheck AdRadioStyle-01">
					<div class="AdStyleDataBlock kintoneplugin-input-radio">
						<div class="AdStyleDataItem">
							<span class="kintoneplugin-input-radio-item">
								<input type="radio" name="KeywordSearchAccessCheck" value="not" id="KeywordSearchAccessCheck-Not" checked>
								<label for="KeywordSearchAccessCheck-Not">チェックを行わない</label>
							</span>
						</div>
						<div class="AdStyleDataItem">
							<span class="kintoneplugin-input-radio-item">
								<input type="radio" name="KeywordSearchAccessCheck" value="warn" id="KeywordSearchAccessCheck-Warn">
								<label for="KeywordSearchAccessCheck-Warn">警告メッセージを表示する</label>
							</span>
						</div>
						<div class="AdStyleDataItem">
							<span class="kintoneplugin-input-radio-item">
								<input type="radio" name="KeywordSearchAccessCheck" value="error" id="KeywordSearchAccessCheck-Error">
								<label for="KeywordSearchAccessCheck-Error">エラーメッセージを表示する</label>
							</span>
						</div>
					</div>
				</div>

			</div>
		</div>
		<p class="FormatTipsShow ClickableBar" showtarget="KeywordSearchTips">▼ キーワード検索の使い方 ▼</p>
		<div class="FormatTipsContainer" showtoggle="KeywordSearchTips">
			<div id="KeywordSearchDescription" class="documentbox helpblock">●概要
一覧画面に検索ボックスを設置して、キーワード入力によるレコードの検索を行います。

●使い方
一覧画面に設置された検索ボックスに検索したいキーワードを入力して「検索」ボタンを押すと、検索が行われます。

●複数のキーワード指定
・半角スペースを区切り文字としてAND条件の検索を行います
・バーティカルバー（|）を区切り文字としてOR条件の検索を行います（※AND条件より優先）
・先頭の文字がマイナス符合（-） の場合、除外するキーワードとなります
・上記の文字自体を検索したい場合、キーワードをダブルコーテーション（"）で囲います
<span style="font-size:12px;">
　例１）
　「東京都 千代田区」と検索すると、「東京都」「千代田区」の両方にヒットするレコードが検索されます。
　例２）
　「東京都|大阪府」と検索すると、「東京都」「大阪府」のどちらかにヒットするレコードが検索されます。
　例３）
　「東京都 -千代田区」と検索すると、「東京都」にヒットし、「千代田区」にヒットしないレコードが検索されます。
　例４）
　「"東京都 千代田区"」と検索すると、「東京都 千代田区」にヒットするレコードが検索されます。
　例５）
　「東京都 区 | 京都府 区」と検索すると、
　　「東京都」「区」の両方にヒットするレコードと「京都府」「区」の両方にヒットするレコードが検索されます。</span>

●検索結果について
kintoneのレコード絞り込み機能を使用した場合と同じように検索されますので、結果に対してグラフ化やプラグイン機能の「レコード一括更新」などを使用することができます。

●2種類の検索モードと設定方法について
<table >
	<thead><tr>
		<th></th>
		<th>値検索モード</th>
		<th>拡張検索モード</th>
	</tr></thead>
	<tbody>
		<tr>
			<td>検索対象</td>
			<td>文字列（１行）／文字列（複数行）／数値／計算</td>
			<td>全てのフィールド／ステータス</td>
		</tr>
		<tr>
			<td>必要な準備</td>
			<td>なし</td>
			<td>アプリに検索用のデータを保存するための「文字列（複数行）フィールド」が必要です。
設定で<b>「検索用データ保存先」</b>として選択し、<b>「検索用データを更新する」</b>をクリックしてください。検索用の文字列データが構築されます。
必要なデータが変換された文字列が保存されます。また指定されたフィールドは自動的に非表示となります。</tr>
		<tr>
			<td>検索ヒット<br>する条件</td>
			<td>・文字列（複数行）は、入力値の部分一致で検索ヒットします。
１２３ＡＢＣ　といった文字列は、「２３ＡＢ」と検索するとヒットします。
・文字列（複数行）以外のフィールドは入力値と完全に一致しないと検索ヒットしません。
１２３ＡＢＣ　といった文字列は、「１２３ＡＢＣ」と検索しないとヒットしません。</td>
			<td>・全てのフィールドに対して、入力値の部分一致によってヒットします。
・削除された、アカウント／組織／グループ、はレコードのデータに使用されていても検索できません。</td>
		</tr>
		<tr>
			<td>アクセス権<br>について</td>
			<td>・検索対象フィールドに選択されているフィールドを対象として検索を行います。
ログインユーザーがアクセスできないフィールドは検索対象になりません。</td>
			<td>・「検索用データ保存先フィールド」に作成済みのデータを対象として検索を行います。
「検索用データ保存先フィールド」に閲覧アクセス権のないユーザーは検索を行うことができません。

<span class="caution">注意点</span>
・「検索用データ保存先フィールド」に編集アクセス権のないユーザーがレコードを保存した場合、検索用データが作成できません。このレコードは検索してもヒットしません。
・検索対象レコードに選択されているフィールドに、ユーザーごとに閲覧権限の異なるフィールドが含まれていた場合、保存される検索用データにも違いが発生し、本来検索ヒットされるべきレコードがヒットしないなどの現象が発生します。

<b>検索用データ保存先フィールド</b>は、Everyoneに<b>編集を許可</b>し、<b>検索対象のフィールド</b>は、Everyoneの<b>閲覧が許可</b>されているフィールドのみとする。

などのルールで設定を行うと、正しい検索結果が得られます。
</td>
		</tr>
	</tbody>
</table>
●検索用データ保存先フィールド（拡張検索モード）について
拡張検索モードで使用する「検索用データ保存先」に指定したフィールドは自動的に非表示となります。
検索用データは以下の操作を行ったとき、各レコードの検索用データ保存先フィールドに保存されます。
・このプラグイン設定内で<b>検索用データの更新</b>を行った
・ユーザーが<b>レコードを保存した</b>
・ユーザーがこのプラグイン機能の<b>レコード一括更新</b>を行った

CSVファイルのアップロードなどkintoneの機能を使用してレコードの追加／更新を行った場合は検索用データは保存されません。別途<b>「検索用データの更新」</b>を行ってください。

以下の操作を行った場合は検索用データの更新は<b>必要ありません</b>。
・cybozu.com共通管理の <b>ユーザー／組織／グループ</b>の名前変更
・アプリのフィールド <b>ラジオボタン／チェックボックス／ドロップダウン／複数選択</b> の選択肢文字列の変更
・アプリのプロセス管理の <b>ステータス名</b> の変更

●検索用データ保存時のアクセス権チェックについて
拡張検索モードですべてのレコードを正しく検索対象として検索用データが保存できるかチェックする機能です。
レコードを編集する際のアクセス権に不足がないか、拡張検索の検索対象フィールドが存在しているかをチェックし、以下から選択された内容で警告を行います。

・チェックを行わない
　レコード編集時にアクセス権のチェックを行いません。
・警告メッセージを表示する
　レコードの編集を行うときに検索用データの保存に必要なアクセス権が不十分だと警告メッセージが表示されます。
・エラーメッセージを表示する
　レコードの編集を行うときに検索用データの保存に必要なアクセス権が不十分だとエラーメッセージが表示され、<b>レコードの保存が中止</b>されます。

チェックを行わない、警告メッセージを表示する、を選択している状態でアクセス権が不足しているユーザーによりレコードが保存された場合、そのレコードは拡張検索機能で正しく検索ヒットしません。
アクセス権に不足のないユーザーにより該当のレコードが再度保存するか、このプラグイン設定内で「検索用データを更新する」操作を行ってください。

</div>
		</div>

	</div>


	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		アプリ連携
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-RelateApp" class="ALFContents" tabContent="RelateApp">
		<h1 class="ALF-Subject">アプリ連携</h1>
		<h2 class="ALF-Chapter">自動更新</h2>
		<div id="ALF-RelateApp-AutoUpdate" class="ConfigWrapper">
			<div class="ConfigNode">
				<table class="ConfigTable">
					<tbody>
						<tr class="ConfigRow">
							<td>
							</td>
						</tr>
						<tr class="ConfigRow">
							<td>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		<p class="FormatTipsShow ClickableBar" showtarget="relapteAppAutoUpdateTips">▼ 自動更新の使い方 ▼</p>
		<div class="FormatTipsContainer" showtoggle="relapteAppAutoUpdateTips">
			<div class="documentbox helpblock"></div>
		</div>
	</div>


	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		PDF出力
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-PdfMake" class="ALFContents" tabContent="PdfMake">
		<h1 class="ALF-Subject">PDF出力</h1>
		<div class="ConfigWrapper">
			<h2 class="ALF-Chapter" showtarget="PdfMake-BaseSetting">ベース設定 ▼</h2>
			<div class="ConfigNode" name="PdfMake-BaseSetting" showtoggle="PdfMake-BaseSetting" defShow>
				<table class="ConfigTable">
					<tbody >
						<tr class="ConfigRow pdf-base-set" >
							<td>ページサイズ</td>
							<td>
								<p>用紙　<select name="page-size">
										<option value="@custom">（カスタム）</option>
										<option value="A4" selected>A4</option>
										<option value="JISB4">B4</option>
										<option value="JISB5">B5</option>
										<option value="A3">A3</option>
										<option value="HAGAKI">官製はがき</option>
										<option value="A5">A5</option>
										<option value="A6">A6</option>
										<option value="OUFUKU">往復はがき</option>
										<option value="LT">LT（レター）</option>
										<option value="LGL">LGL（リーガル）</option>
										<option value="A3_NOBI">A3ノビ</option>
										<option value="CHOSHAKU">長尺紙</option>
									</select>※B列の用紙サイズはJIS規格のものです</p>
								<p>　幅　<input name="page-width" type="number" min="1" value="210">mm</p>
								<p>高さ　<input name="page-height" type="number" min="1" value="297">mm</p>
								<p>向き　<select name="page-orientation">
									<option value="portrait">縦</option>
									<option value="landscape">横</option>
								</select></p>
							</td>
						</tr>
						<tr class="ConfigRow" >
							<td>余白</td>
							<td>
								<p>上　<input name="pagemargin-top" class="pfd-page-margin" type="number" min="0" value="15">mm</p>
								<p>右　<input name="pagemargin-right" class="pfd-page-margin" type="number" min="0" value="10">mm</p>
								<p>下　<input name="pagemargin-bottom" class="pfd-page-margin" type="number" min="0" value="15">mm</p>
								<p>左　<input name="pagemargin-left" class="pfd-page-margin" type="number" min="0" value="10">mm</p>
							</td>
						</tr>

						<tr class="ConfigRow" name="PdfMake-Row-Font">
							<td>フォント</td>
							<td>
								<div>
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="roboto" id="PdfMake-Font-Roboto" checked><label for="PdfMake-Font-Roboto">Roboto</label></span></p>
									<p class="font-info"> size:0.57M (Apache-2.0)<a href="https://github.com/google/roboto" target="font">[配布元]</a>　※日本語は含まれていません</p>
								</div>
								<div style="clear:both">
										<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="ipag" id="PdfMake-Font-IPAG" checked><label for="PdfMake-Font-IPAG">IPAゴシック,IPA Pゴシック</label></span></p>
										<p class="font-info"> size:6.66M (IPAフォントライセンスv1.0)<a href="https://moji.or.jp/ipafont/" target="font">[配布元]</a></p>
									</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="ipam" id="PdfMake-Font-IPAM" checked><label for="PdfMake-Font-IPAM">IPA明朝,IPA P明朝</label></span></p>
									<p class="font-info"> size:8.68M (IPAフォントライセンスv1.0)<a href="https://moji.or.jp/ipafont/" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="mplusc-1" id="PdfMake-Font-mplusc-1"><label for="PdfMake-Font-mplusc-1">M+C Type-1</label></span></p>
									<p class="font-info"> size:3.24M (M+ LICENSE)<a href="https://mplusfonts.github.io/" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="honoka" id="PdfMake-Font-honoka"><label for="PdfMake-Font-honoka">ほのか明朝</label></span></p>
									<p class="font-info"> size:4.5M (IPAフォントライセンスv1.0)<a href="http://font.gloomy.jp/honoka-mincho-dl.html" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="hannari" id="PdfMake-Font-hannari"><label for="PdfMake-Font-hannari">はんなり明朝</label></span></p>
									<p class="font-info"> size:2.97M (IPAフォントライセンスv1.0)<a href="http://typingart.net/?p=44" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="kokoro" id="PdfMake-Font-kokoro"><label for="PdfMake-Font-kokoro">こころ明朝</label></span></p>
									<p class="font-info"> size:3.39M (IPAフォントライセンスv1.0)<a href="http://typingart.net/?p=46" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="logotype-g" id="PdfMake-Font-logotype-g"><label for="PdfMake-Font-logotype-g">ロゴたいぷゴシック</label></span></p>
									<p class="font-info"> size:3.34M (M+ LICENSE)<a href="http://www.fontna.com/blog/1226/" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="logotype-gc" id="PdfMake-Font-logotype-gc"><label for="PdfMake-Font-logotype-gc">ロゴたいぷゴシック-コンデンスド</label></span></p>
									<p class="font-info"> size:3.4M (M+ LICENSE)<a href="http://www.fontna.com/blog/1345/" target="font">[配布元]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="bizud-gothic" id="PdfMake-Font-bizud-gothic"><label for="PdfMake-Font-bizud-gothic">モリサワBIZ UD,UDPゴシック</label></span></p>
									<p class="font-info"> size:18M (SIL Open Font License)<a href="https://fonts.google.com/specimen/BIZ+UDGothic/about" target="font">[配布元(UD)]</a><a href="https://fonts.google.com/specimen/BIZ+UDPGothic/about" target="font">[配布元(UDP)]</a></p>
								</div>
								<div style="clear:both">
									<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="pdf-font" value="bizud-mincho" id="PdfMake-Font-bizud-mincho"><label for="PdfMake-Font-bizud-mincho">モリサワBIZ UD,UDP明朝</label></span></p>
									<p class="font-info"> size:25M (SIL Open Font License)<a href="https://fonts.google.com/specimen/BIZ+UDMincho/about" target="font">[配布元(UD)]</a><a href="https://fonts.google.com/specimen/BIZ+UDPMincho/about" target="font">[配布元(UDP)]</a></p>
								</div>
								<div style="margin-top:1rem; clear:both;">
									<p>- フォントのライセンスについて -</p>
									<p>商用可のフリーフォントを利用しています。必ずライセンスをご確認の上ご利用下さい。</p>
									<p>・<a href="https://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL">SIL Open Font License</a></p>
									<p>・<a href="https://moji.or.jp/ipafont/license/">IPAフォントライセンスv1.0</a></p>
									<p>・<a href="https://mplusfonts.github.io/#license">M+ LICENSE</a></p>
								</div>
							</td>
						</tr>
						<tr class="ConfigRow" name="PdfMake-Row-DefaultFont">
							<td>初期フォント</td>
							<td>
								<select name="pdf-defaultfont">
									<option value="@no-select" selected>（必ず選択してください）</option>
									<option value="roboto" fontdat="roboto">Roboto</option>
									<option value="ipag" fontdat="ipag">IPAゴシック</option>
									<option value="ipagp" fontdat="ipag">IPA Pゴシック</option>
									<option value="ipam" fontdat="ipam">IPA明朝</option>
									<option value="ipamp" fontdat="ipam">IPA P明朝</option>
									<option value="mplusc-1" fontdat="mplusc-1">M+C Type-1</option>
									<option value="honoka" fontdat="honoka">ほのか明朝</option>
									<option value="hannari" fontdat="hannari">はんなり明朝</option>
									<option value="kokoro" fontdat="kokoro">こころ明朝</option>
									<option value="logotype-g" fontdat="logotype-g">ロゴたいぷゴシック</option>
									<option value="logotype-gc" fontdat="logotype-gc">ロゴたいぷゴシック-コンデンスド</option>
									<option value="bizud-gothic" fontdat="bizud-gothic">モリサワBIZ UDゴシック</option>
									<option value="bizudp-gothic" fontdat="bizud-gothic">モリサワBIZ UDPゴシック</option>
									<option value="bizud-mincho" fontdat="bizud-mincho">モリサワBIZ UD明朝</option>
									<option value="bizudp-mincho" fontdat="bizud-mincho">モリサワBIZ UDP明朝</option>
								</select>
								　※初期フォントが選択されていないとPDF出力は行われません
							</td>
						</tr>

					</tbody>
				</table>
			</div>

			<h2 class="ALF-Chapter" showtarget="PdfMake-Images">画像登録 ▼</h2>
			<div class="ConfigNode" name="PdfMake-Images" showtoggle="PdfMake-Images" defShow>
				<table class="ConfigTable">
					<tbody>
						<tr class="ConfigRow">
							<td></td>
							<td>
								画像ID<input type="text" name="img-name" value="">
							</td>
							<td>
								<input type="file" name="load-img" accept="image/bmp,image/jpeg,image/png">
								<input type="hidden" name="scheme" value="">
								<input type="hidden" name="base64" value="">
							</td>
							<td>
								<img name="preview-img" style="max-height:120px;">
							</td>
							<td class="EdgeControlBox">
								<button class="img-bs" name="removeRow" title="削除"></button>
							</td>
						</tr>
					</tbody>
					<tfoot>
						<tr class="ConfigTableEdge">
							<td style="width:2rem;"><button name="addRow" class="circlebtn">＋</button></td>
							<td colspan="4"><p class="addrowtips">画像を追加</p></td>
						</tr>
					</tfoot>
				</table>
			</div>
				
			<h2 class="ALF-Chapter" showtarget="PdfMake-Layout">レイアウト設定 ▼</h2>
			<div class="ConfigNode" name="PdfMake-Layout" showtoggle="PdfMake-Layout" defShow>
				<table class="ConfigTable">
					<tbody class="sortable">
						<tr class="ConfigRow pdf-layout-row">
							<td colspan="2" class="pdf-layout-item">
								<div class="pdf-layout-control">
									<div class="pdf-layout-control-item">
										<div class="kintoneplugin-input-outer">
											<input class="kintoneplugin-input-text" type="text" name="pdf-layout-name" placeholder="レイアウト名">
										</div>
									</div>
									<div class="pdf-layout-control-item fill">
										<table><tbody>
											<tr>
												<td><span>テンプレート</span></td>
												<td>
													<select name="page-template">
														<option value=""> - </option>
														<option value="sample1">見積書・請求書</option>
													</select>
													<button name="page-template-apply" title="レイアウト入力欄をテンプレートに差し替えます">セット</button>
												</td>
											</tr>
											<tr>
												<td><span>コードの自動ペースト</span></td>
												<td>
													<select name="code-paste" title="選択した項目のコードをレイアウト入力欄のカーソル位置にペーストします">
														<option value=""> - </option>
														<optgroup name="code-paste-field" label="フィールド">
														</optgroup>
														<optgroup name="code-paste-value" label="一時変数">
															<option value="#A">#A</option>
															<option value="#B">#B</option>
															<option value="#C">#C</option>
															<option value="#D">#D</option>
															<option value="#E">#E</option>
															<option value="#F">#F</option>
														</optgroup>
														<optgroup name="code-paste-font" label="フォント名">
														</optgroup>
													</select>
												</td>
											</tr>
										</tbody></table>
									</div>
									<div class="pdf-layout-control-item">
										<button name="pdf-remove" class="kintoneplugin-button-normal">削除</button>
									</div>
									<div class="pdf-layout-control-item">
										<p class="pdf-output-progress img-loading-m" style="display:none"></p>
										<button name="pdf-open" class="kintoneplugin-button-dialog-ok">出力テスト</button>
									</div>
								</div>
								<div class="pdf-layout-console">
									<p class="pick"></p>
								</div>
								<div class="pdf-layout-body">
									<p><textarea name="page-layout" class="fill"></textarea></p>
								</div>
							</td>
						</tr>
					</tbody>
					<tfoot>
						<tr class="ConfigTableEdge">
							<td style="width:2rem;"><button name="addRow" class="circlebtn">＋</button></td>
							<td><p class="addrowtips">レイアウトを追加</p></td>
						</tr>
					</tfoot>
				</table>
				<a class="ClickableBar" href="https://spica.tokyo/bluelaunch/pdf-reference" target="spicaweb">- PDFレイアウト リファレンス -</a>
			</div>

			<h2 class="ALF-Chapter" showtarget="PdfMake-ButtonSetting">出力ボタンの設置 ▼</h2>
			<div class="ConfigNode" name="PdfMake-ButtonSetting" showtoggle="PdfMake-ButtonSetting" defShow>
				<table class="ConfigTable">
					<tbody>
						<tr class="ConfigRow">
							<td>
								<p class="spica-KintoneCheckboxWrapper"><span class="kintoneplugin-input-checkbox-item"><input type="checkbox" name="AllowAllUser" value="All" id="PdfMake-Button-CheckAllowAllUser"><label for="PdfMake-Button-CheckAllowAllUser">すべてのユーザーに設置する</label></span></p>
							</td>
						</tr>
						<tr class="ConfigRow">
							<td>
								<p>アカウントを指定して設置する　※改行で複数アカウントを指定</p>
								<p><textarea name="AllowUsers" class="fill"></textarea></p>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>
		<p class="FormatTipsShow ClickableBar" showtarget="PdfMakeTips">▼ PDF出力の使い方 ▼</p>
		<div class="FormatTipsContainer" showtoggle="PdfMakeTips">
			<div id="PdfmakeDescription" class="documentbox helpblock"></div>
		</div>
	</div>






	<!--
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
		ライセンス
	■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■■
	-->
	<div id="ALF-PluginSetting" class="ALFContents">
		<div title="有償ライセンスについて（Spicaアカウントの登録）" isDialog="ManageSpicaAccount" modal="1">
			<div id="ALF-ManageSpicaAccountContainer" class="ALFwrapper">
				<p class="documentbox">ライセンスの購入にはSpicaのアカウントが必要です。
Spicaアカウント管理ページにアクセスし、登録を行って下さい。</p>
				<a class="ClickableBar" href="https://spica.tokyo/account-suite/" target="spicaweb">- Spicaアカウント管理ページ -</a>
				<p class="documentbox">
Spicaアカウントを登録すると、Spicaアカウントのダッシュボードから「アカウントリンクコード」が発行できます。
発行されたアカウントリンクコードを以下の入力欄から送信すると、サイボウズドメイン（<span class="trialdomain"></span>）がSpicaアカウントのダッシュボードに登録されますので、そちらからライセンスの購入を行って下さい。

</p>
				<div class="ManageSpicaAccount-LinkCodeContainer" style="text-align: center">
					<div class="kintoneplugin-input-outer">
						<input name="SpicaAccountLinkCode" class="kintoneplugin-input-text" style="font-size: 14px; min-width: 280px;" type="text" placeholder="アカウントリンクコード" value="">
					</div>
					<button name="SendLinkCode" class="kintoneplugin-button-dialog-ok">送信</button><span class="LoadingMessage" onDialogOpen="Clear"></span>
				</div>
				<br>
			</div>
		</div>


		</div>
		<div title="有償ライセンス" isDialog="ChargeLicence" modal="1">
			<table id="ALF-ChargeLicenceContainer" class="ALFwrapper"><tbody>
				<tr>
					<td>利用者メールアドレス</td>
					<td><input name="usermail" type="mail"></td>
					<td rowspan="3">
						<p class="documentbox"><span class="IssueResultConsole caution" ondialogopen="Clear"><span class="LoadingMessage" onDialogOpen="Clear"></span></p>
					</td>
				</tr>
				<tr>
					<td>認証コード</td>
					<td><input name="productcode" type="text"></td>
				</tr>
				<tr>
					<td colspan="2" style="text-align:right"><button name="SendProductCode" class="authbutton">認証コードの送信</button></td>
				</tr>
			</tbody></table>
			<p>
			</p>
			<div class="documentbox">
継続して利用される場合はライセンスのご購入をお願いいたします。
購入方法については<a class="def" href="https://spica.tokyo/bluelaunch/" target="spicaweb">Spicaのウェブサイト</a>にてご確認ください。

<strong>- ライセンスご購入後の認証手順について -</strong>
<p><strong>1. 認証コードのダウンロード</strong>
ライセンスをご購入いただくと認証コードをダウンロードすることができます。ダウンロード方法につきましてはご購入時に送信されるメールをご確認ください。

<strong>2. メールアドレスと認証コードの送信</strong>
ご購入時に入力されたメールアドレスを「利用者メールアドレス」の欄へ、ダウンロードした認証コードを「認証コード」の欄へそれぞれ入力し「認証コードの送信」ボタンを押して下さい。
※トライアルを開始していない場合ここでトライアル利用開始となります

<strong>3. プロダクト認証確認のメールに記載されたURLへアクセスする</strong>
入力されたコードが正しければ、登録するサブドメイン（<span class="documentdomain"></span>）を確認するメールが送信されます。
確認メールに記載されたURLへアクセスするとプロダクト認証が登録されます。
</p>
プロダクト認証はサブドメインに対して発行されます。認証を行うと同じサブドメイン内の他のアプリでもプラグイン認証は有効となります。アプリ毎に認証処理を行う必要はありません。
</div>
			<a class="ClickableBar" href="https://spica.tokyo/bluelaunch-policy/" target="spicaweb">- 利用規約 -</a>
		</div>
		<div title="トライアル" isDialog="TrialLicence" modal="1">
			<div id="ALF-TrialLicenceContainer" class="ALFwrapper">
				<p>
					<button name="BeginTrial" class="kintoneplugin-button-dialog-ok">トライアル開始</button><span class="LoadingMessage" onDialogOpen="Clear">
				</p>
				<p class="documentbox">
「トライアル開始」ボタンを押すとトライアル版の利用が開始されライセンス購入時と同様の機能が利用できます。利用アプリ数の制限はありません。
期限は利用開始日の60日後までです。（本日利用開始すると期限は<span class="documenttriailimit"></span>までとなります）

トライアル認証はドメイン（<span class="trialdomain"></span>）に対して発行されます。同ドメイン内の他のkintoneアプリでも認証は有効となります。トライアル利用期限はドメインに対して一度だけ発行され、全てのアプリで共通の期限となりますのでご注意下さい。
</p>
				<a class="ClickableBar" href="https://spica.tokyo/bluelaunch/bluelaunch-policy/" target="spicaweb">- 利用規約 -</a>
			</div>
		</div>
	</div>

	<div id="ALF-template">
		<div class="ConditionBlocks">
			<table>
			<thead class="conditionHeader"><tr>
				<th class="conditionHeader-opr" colspan="2">条件判定値</th>
				<th class="conditionHeader-valid" colspan="2">判定方法</th>
				<th class="conditionHeader-stat">レコードの状態</th>
			</tr></thead>
			<tbody class="conditionRowsBody"><tr class="conditionRow typeNorm">
				<td class="ConditionCell">
					<div class="defaultrow">
						<select name="conditionLogic">
							<option label="AND" value="and" selected>AND</option>
							<option label="OR" value="or">OR</option>
						</select>
					</div>
				</td>
				<td class="ConditionCell">
					<select name="conditionField">
						<option value="@_always_" format="@_always_" label="（常に適用する）">（常に適用する）</option>
						<optgroup name="app" label="フィールド">
						</optgroup>
						<optgroup name="sys" label="アクセス情報">
							<option value="@_LOGIN_USER_" format="usr" label="LoginUser">LoginUser</option>
							<option value="@_USER_GROUP_" format="grp" label="所属グループ">所属グループ</option>
							<option value="@_USER_ORG_" format="org" label="所属組織">所属組織</option>
							<option value="@_USER_POSITION_" format="org" label="役職">役職</option>
							<option value="@_NOW_DATE_" format="date" label="現在日時">現在日時</option>
						</optgroup>
						<optgroup name="sysfield" label="システムフィールド">
						</optgroup>
						<optgroup name="variable" label="一時変数">
							<option value="@var#A" format="var" label="#A">#A</option>
							<option value="@var#B" format="var" label="#B">#B</option>
							<option value="@var#C" format="var" label="#C">#C</option>
							<option value="@var#D" format="var" label="#D">#D</option>
							<option value="@var#E" format="var" label="#E">#E</option>
							<option value="@var#F" format="var" label="#F">#F</option>
						</optgroup>
					</select>
				</td>
				<td class="ConditionCell">
					<div class="conditionNorm">
						<p>
						<select name="compareType">
							<option value="include" label="条件値を含む">条件値を含む</option>
							<option value="exclude" label="条件値を含まない">条件値を含まない</option>
							<option value="eq" label="＝（等しい）">＝（等しい）</option>
							<option value="neq" label="≠（等しくない）">≠（等しくない）</option>
							<option value="nless" label="≦（以下）">≦（以下）</option>
							<option value="less" label="＜（より小さい）">＜（より小さい）</option>
							<option value="ngreater" label="≧（以上）">≧（以上）</option>
							<option value="greater" label="＞（より大きい）">＞（より大きい）</option>
							<option value="regex" label="正規表現に適合する">正規表現にマッチする</option>
							<option value="regexnot" label="正規表現に適合しない">正規表現にマッチしない</option>
						</select>
						<select name="compareBase">
							<option value="@_input_" label="（直接入力）">（直接入力）</option>
							<optgroup name="CompareField" label="フィールド">
							</optgroup>
						</select>
						<input type="text" name="condition" value="" placeholder="条件値"></p>
					</div>
					<div class="conditionDate">
						<p>
							<select name="compareType">
									<option value="eq">＝（等しい）</option>
									<option value="neq">≠（等しくない）</option>
									<option value="nless">≦（以前）</option>
									<option value="less">＜（より前）</option>
									<option value="ngreater">≧（以後）</option>
									<option value="greater">＞（より後）</option>
							</select>
							<select name="compareBase">
								<option value="@_input_" label="（直接入力）">（直接入力）</option>
								<optgroup name="CompareInput" label="日時入力">
									<option value="@Year" label="年が*">年が*</option>
									<option value="@Month" label="月が*">月が*</option>
									<option value="@Day" label="日が*">日が*</option>
									<option value="@Hour" label="時が*">時が*</option>
									<option value="@Minute" label="分が*">分が*</option>
									<option value="@ThisYear" label="今年から*年">今年から*年</option>
									<option value="@ThisMonth" label="今月から*ヶ月">今月から*ヶ月</option>
									<option value="@ThisWeek" label="今週から*週" title="月曜を週の始まりとして判定します">今週から*週</option>
									<option value="@ThisDay" label="今日から*日">今日から*日</option>
									<option value="@Weekday" label="曜日が">曜日が</option>
								</optgroup>
								<optgroup name="CompareField" label="フィールド">
								</optgroup>
							</select>
							<input type="text" name="condition" value="" placeholder="条件値">
							<select name="conditionWeekDay" style="display: none;">
								<option value="1" label="月">月</option>
								<option value="2" label="火">火</option>
								<option value="3" label="水">水</option>
								<option value="4" label="木">木</option>
								<option value="5" label="金">金</option>
								<option value="6" label="土">土</option>
								<option value="0" label="日">日</option>
							</select>
						</p>
					</div>
				</td>
				<td class="ConditionCell">
					<div>
						<button type="button" class="defaultrow" name="addConditionRow"><span>条件を追加</span></button>
						<button type="button" class="additionalrow" name="removeConditionRow"><span>条件を削除</span></button>
					</div>
				</td>
				<td class="ConditionCell">
					<div class="conditionRecordEditation defaultrow">
						<label title="既存レコード表示時"><input type="checkbox" name="show" checked><span>表示</span></label>
						<label title="レコード新規作成時"><input type="checkbox" name="create" checked><span>作成</span></label>
						<label title="既存レコード編集時"><input type="checkbox" name="edit" checked><span>編集</span></label>
					</div>
				</td>
			</tr></tbody></table>
		</div>
	</div>

	<div id="ALF-FooterPanel">
		<table><tbody>
			<tr>
				<td colspan="5" class="ConfigSaveConsoleCell">
					<div class="ConfigSaveConsoleWrapper">
					</div>
					<button id="ALF-SubmitOnError" class="plugins-Submit">エラーを無視して適用する ※設定を一時的に保存しておきたい場合のみご使用ください</button>
				</td>
			</tr>
			<tr>
				<td><input id="ALF-Submit" class="plugins-Submit" type="button" value="設定をすべて適用"></td>
				<td><input id="ALF-Export" class="plugins-Submit" type="button" value="設定ファイル出力"></td>
				<td class="fill"><input id="ALF-Import" class="plugins-Submit" type="button" value="設定ファイル読み込み"></td>
				<td><input id="ALF-Charge" showDialog="ManageSpicaAccount" class="plugins-Submit" type="button" value="有償ライセンス"></td>
				<td><input id="ALF-Trial" showDialog="TrialLicence" class="plugins-Submit" type="button" value="トライアル"></td>
		</tr>
		</tbody></table>
		<div class="version"></div>
	</div>
*/}).toString().match(/\/\*([^]*)\*\//)[1]);
})(jQuery);